import { IsString, IsNotEmpty, IsOptional, IsObject, IsUUID } from 'class-validator';

/**
 * DTO for creating a new project
 */
export class CreateProjectDto {
  @IsString()
  @IsNotEmpty()
  name: string;

  @IsString()
  @IsOptional()
  description?: string;

  @IsUUID()
  @IsNotEmpty()
  ownerId: string;

  @IsObject()
  @IsOptional()
  settings?: Record<string, any>;
}